import { IChannelWrapperEntity, IDictionariesWrapperEntity, ILayoutWrapperEntity, INotificationWrapperEntity, IQueryFilterEntity, IQueryFilterWrapperEntity, IStackWrapperEntity, ITransportWrapperEntity, IUniversalStoreEntity, IUserWrapperEntity } from '../../definition';
export declare const layoutMapper: (state: ILayoutWrapperEntity) => ILayoutWrapperEntity;
export declare const filterMapper: (filterState: IQueryFilterEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
export declare const notificationMapper: (state: INotificationWrapperEntity) => INotificationWrapperEntity;
export declare const channelMapper: (state: IChannelWrapperEntity) => IChannelWrapperEntity;
/**
 * @deprecated Use mapQueryFilterEntity
 */
export declare const filterWrapperMapper: (filterState: IQueryFilterWrapperEntity) => {
    filter: {
        active?: boolean;
        query?: string;
    };
};
/**
 * @stable [18.09.2018]
 * @param {IStackWrapperEntity} state
 * @returns {IStackWrapperEntity}
 */
export declare const stackMapper: (state: IStackWrapperEntity) => IStackWrapperEntity;
export declare const defaultMappers: (((userWrapper: IUserWrapperEntity) => IUserWrapperEntity) | ((storeEntity: IUniversalStoreEntity<{}, {}>) => IDictionariesWrapperEntity<import("core/definition/dictionary-definition.interface").IDictionariesEntity>) | ((storeEntity: IUniversalStoreEntity<{}, {}>) => ITransportWrapperEntity) | ((state: ILayoutWrapperEntity) => ILayoutWrapperEntity) | ((state: INotificationWrapperEntity) => INotificationWrapperEntity) | ((state: IChannelWrapperEntity) => IChannelWrapperEntity) | ((state: IStackWrapperEntity) => IStackWrapperEntity))[];
