import { IActivateDialogConfigEntity, IUnsavedFormChangesDialogProps } from '../../../definition';
import { BaseDialog } from '../base-dialog.component';
export declare class UnsavedFormChangesDialog extends BaseDialog<IUnsavedFormChangesDialogProps> {
    static readonly defaultProps: IUnsavedFormChangesDialogProps;
    /**
     * @stable [05.01.2020]
     * @param {IActivateDialogConfigEntity} payload
     */
    activate(payload?: IActivateDialogConfigEntity): void;
    /**
     * @stable [30.01.2020]
     * @returns {string}
     */
    protected readonly acceptText: string;
    /**
     * @stable [30.01.2020]
     * @returns {string | boolean}
     */
    protected readonly title: string | boolean;
}
