/// <reference types="react" />
import { BaseComponent } from '../../base';
import { IListItemProps } from '../../../definition';
export declare class ListItem extends BaseComponent<IListItemProps> {
    /**
     * @stable [27.10.2019]
     * @param {IListItemProps} props
     */
    constructor(props: IListItemProps);
    /**
     * @stable [23.09.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [27.10.2019]
     * @param {ISelectedElementClassNameWrapper} context
     * @returns {React.DetailedHTMLProps<React.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>}
     */
    private getItemProps;
    /**
     * @stable [12.02.2020]
     * @returns {JSX.Element}
     */
    private readonly iconElement;
    /**
     * @stable [27.10.2019]
     */
    private onClick;
}
