/// <reference types="react" />
import { IUniversalContainerProps } from '../../definition';
import { UniversalContainer } from '../base/universal.container';
export declare class NotificationContainer extends UniversalContainer {
    /**
     * @stable [13.02.2020]
     * @param {IUniversalContainerProps} props
     */
    constructor(props: IUniversalContainerProps);
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    private readonly snackbarElement;
    /**
     * @stable [13.02.2020]
     */
    private clearCurrentNotification;
}
