"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [30.08.2018]
 * @param {IActiveValueWrapper} activeValueWrapper
 * @param {IGenericTabEntity} tab
 * @returns {boolean}
 */
exports.isTabActive = function (activeValueWrapper, tab) {
    return R.isNil(activeValueWrapper.activeValue) ? !!tab.active : activeValueWrapper.activeValue === tab.value;
};
//# sourceMappingURL=tabpanel.support.js.map