import { IDataWrapper, IValidWrapper } from '../definitions.interface';
/**
 * @stable [06.12.2019]
 */
export declare enum ValidatorRuleEnum {
    DIGIT = 0,
    NOT_EMPTY_STRING = 1,
    NUMBER_LIKE = 2,
    OPTIONAL_NUMBER_LIKE = 3,
    OPTIONAL_STRING = 4,
    STRING = 5
}
/**
 * @stable [06.12.2019]
 */
export interface IValidationResultEntity extends IValidWrapper, IDataWrapper<Record<string, Record<ValidatorRuleEnum, boolean>>> {
}
