import { IEffectsAction } from 'redux-effects-promise';
import { IUntouchedListMiddlewareConfig } from './middleware.interface';
/**
 * @stable [31.08.2018]
 * @param {IUntouchedListMiddlewareConfig<TApplicationState>} config
 * @returns {(action: IEffectsAction, state: TApplicationState) => IEffectsAction}
 */
export declare const makeUntouchedListMiddleware: <TApplicationState>(config: IUntouchedListMiddlewareConfig<TApplicationState>) => (action: IEffectsAction, state: TApplicationState) => IEffectsAction;
/**
 * @stable [31.08.2018]
 * @param {IUntouchedListMiddlewareConfig<TApplicationState>} config
 * @returns {(action: IEffectsAction, state: TApplicationState) => IEffectsAction}
 */
export declare const makeUntouchedLazyLoadedListMiddleware: <TApplicationState>(config: IUntouchedListMiddlewareConfig<TApplicationState>) => (action: IEffectsAction, state: TApplicationState) => IEffectsAction;
