"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definitions_interface_1 = require("../definitions.interface");
exports.TRANSPORT_REQUEST_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "transport.request";
exports.TRANSPORT_REQUEST_DONE_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildDoneActionType(exports.TRANSPORT_REQUEST_ACTION_TYPE);
exports.TRANSPORT_REQUEST_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.TRANSPORT_REQUEST_ACTION_TYPE);
exports.TRANSPORT_REQUEST_CANCEL_ACTION_TYPE = exports.TRANSPORT_REQUEST_ACTION_TYPE + ".cancel";
exports.TRANSPORT_DESTROY_ACTION_TYPE = 'transport.destroy';
exports.TRANSPORT_DESTROY_TOKEN_ACTION_TYPE = 'transport.destroy.token';
exports.TRANSPORT_UPDATE_TOKEN_ACTION_TYPE = 'transport.update.token';
//# sourceMappingURL=transport-reducer.interface.js.map