import { IEffectsAction } from 'redux-effects-promise';
import { IKeyValue } from '../definitions.interface';
import { ISectionDataEntity } from '../definition';
/**
 * @stable [04.12.2019]
 * @param {string} section
 * @param {IKeyValue | IKeyValue[]} data
 * @returns {TResult}
 */
export declare const applySection: <TResult extends ISectionDataEntity<IKeyValue> = ISectionDataEntity<IKeyValue>>(section: string, data?: IKeyValue | IKeyValue[]) => TResult;
/**
 * @stable [31.08.2018]
 * @param {string} section
 * @returns {string}
 */
export declare const toActionPrefix: (section: string) => string;
/**
 * @stable [05.12.2019]
 * @param {IEffectsAction} action
 * @returns {string}
 */
export declare const toSection: (action: IEffectsAction) => string;
