import { IValueWrapper } from '../definitions.interface';
/**
 * @stable [11.06.2018]
 * @param {boolean} onlyChars
 * @returns {string}
 */
export declare const uuid: (onlyChars?: boolean) => string;
/**
 * @stable [14.08.2018]
 * @param {TObject} objects
 * @returns {TObject[]}
 */
export declare const makeUniqueValueObjects: <TObject extends IValueWrapper<any> = IValueWrapper<any>>(...objects: TObject[]) => TObject[];
