import { IContainerProps, IDialogFormChangesConfirmStoreProxy, IDictionaryStoreProxy, IFormStoreProxy, IRouterStoreProxy, IGenericBasicContainer } from '../../definition';
import { BaseContainer } from './base.container';
export declare class BasicContainer<TProps extends IContainerProps = IContainerProps, TState = {}> extends BaseContainer<TProps, TState> implements IGenericBasicContainer {
    private $dfccStoreProxy;
    private $dictionaryStoreProxy;
    private $formStoreProxy;
    private $routerStoreProxy;
    /**
     * @stable [27.11.2019]
     * @returns {IDialogFormChangesConfirmStoreProxy}
     */
    protected readonly dfccStoreProxy: IDialogFormChangesConfirmStoreProxy;
    /**
     * @stable [30.11.2019]
     * @returns {IFormStoreProxy}
     */
    protected readonly formStoreProxy: IFormStoreProxy;
    /**
     * @stable [18.12.2019]
     * @returns {IRouterStoreProxy}
     */
    protected readonly routerStoreProxy: IRouterStoreProxy;
    /**
     * @stable [29.02.2020]
     * @returns {IDictionaryStoreProxy}
     */
    readonly dictionaryStoreProxy: IDictionaryStoreProxy;
}
