import { BaseTextField } from '../text-field';
import { INumberField, INumberFieldInternalState, INumberFieldInternalProps } from './numberfield.interface';
import { ChangeEventT } from '../../../definitions.interface';
import { IKeyboardProps } from '../../../definition';
export declare class NumberField extends BaseTextField<INumberFieldInternalProps, INumberFieldInternalState> implements INumberField {
    static defaultProps: INumberFieldInternalProps;
    getRawValueFromEvent(event: ChangeEventT): number | string;
    protected getFieldPattern(): string;
    private readonly numberSettings;
    /**
     * @stable [01.02.2020]
     * @returns {IKeyboardProps}
     */
    protected getKeyboardProps(): IKeyboardProps;
    /**
     * @stable [02.05.2019]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
