/// <reference types="react" />
import { BasicContainer } from '../base';
import { IFormContainerProps } from '../../definition';
export declare class FormContainer extends BasicContainer<IFormContainerProps> {
    /**
     * @stable [03.02.2020]
     * @param {IFormContainerProps} props
     */
    constructor(props: IFormContainerProps);
    /**
     * @stable [03.02.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [17.02.2019]
     * @param {IFieldChangeEntity} payload
     */
    private onChange;
    /**
     * @stable [03.02.2020]
     * @param {boolean} valid
     */
    private onValid;
    /**
     * @stable [03.02.2020]
     */
    private onReset;
    /**
     * @stable [02.04.2019]
     * @param {IApiEntity} apiEntity
     */
    private onSubmit;
    private onEmptyDictionary;
    private onLoadDictionary;
}
