import { IActiveValueWrapper, IPayloadWrapper } from '../../../definitions.interface';
import { TabPanelContainer } from '../tabpanel.container';
import { IFormExtendedEditableEntity, ITabPanelContainerProps } from '../../../definition';
export declare class FormTabPanelContainer extends TabPanelContainer<ITabPanelContainerProps & IFormExtendedEditableEntity> {
    /**
     * @stable [30.08.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    protected dispatchActiveValue(payloadWrapper: IPayloadWrapper<number>): void;
    /**
     * @stable [02.09.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    protected dispatchDeactivatedValue(payloadWrapper: IPayloadWrapper<number>): void;
    /**
     * @stable [12.02.2020]
     * @returns {IActiveValueWrapper}
     */
    protected getActiveValueWrapper(): IActiveValueWrapper;
}
