"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var field_definition_interface_1 = require("./field-definition.interface");
/**
 * @stable [09.01.2020]
 */
var PlaceMarkerActionsEnum;
(function (PlaceMarkerActionsEnum) {
    PlaceMarkerActionsEnum[PlaceMarkerActionsEnum["PUT_MARKER"] = 0] = "PUT_MARKER";
})(PlaceMarkerActionsEnum = exports.PlaceMarkerActionsEnum || (exports.PlaceMarkerActionsEnum = {}));
/**
 * @default-entity
 * @stable [29.01.2020]
 */
exports.DEFAULT_PLACE_FIELD_ENTITY = Object.freeze(__assign({}, field_definition_interface_1.DEFAULT_QUICK_SEARCH_FIELD_ENTITY, { menuConfiguration: { heightRestricted: false } }));
/**
 * @default-entity
 * @stable [15.01.2020]
 */
exports.DEFAULT_ZIP_CODE_FIELD_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_PLACE_FIELD_ENTITY, { menuConfiguration: { useFilter: false, heightRestricted: false }, placeActionRendered: false, useZipCode: true }));
//# sourceMappingURL=place-definition.interface.js.map