/**
 * @stable [24.01.2020]
 * @param {((payload?: TPayload) => TResult) | TResult} result
 * @param {TPayload} payload
 * @returns {TResult}
 */
export declare const calc: <TResult, TPayload = any>(result: TResult | ((payload?: TPayload) => TResult), payload?: TPayload) => TResult;
/**
 * @stable [04.10.2018]
 * @param {number} value
 * @returns {boolean}
 */
export declare const isOddNumber: (value: number) => boolean;
