import { IStackEntity, IStackItemEntity } from '../definition';
/**
 * @stable [19.12.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @returns {number}
 */
export declare const findStackItemEntityIndexBySection: (currentSection: string, stackEntity: IStackEntity) => number;
/**
 * @stable [19.12.2019]
 * @param {IStackEntity} stackEntity
 * @param {string} section
 * @returns {IStackItemEntity[]}
 */
export declare const truncateStack: (stackEntity: IStackEntity, section: string) => IStackItemEntity[];
